%define section free
%define jafver  1.0.2

Name:           classpathx-jaf
Version:        1.0
Release: 	2jpp_5fc
Epoch:          0
Summary:        GNU JavaBeans(tm) Activation Framework

Group:          System Environment/Libraries
License:        LGPL
URL:            http://www.gnu.org/software/classpathx/
Source0:        http://ftp.gnu.org/gnu/classpathx/activation-1.0.tar.gz
Source1:        http://ftp.gnu.org/gnu/classpathx/activation-1.0.tar.gz.sig
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#Vendor:         JPackage Project
#Distribution:   JPackage

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5.38-1jpp_4rh
BuildRequires:  %{__make}
Provides:       jaf = 0:%{jafver}
Obsoletes:      gnujaf <= 0:1.0-0.rc1.1jpp
# RHEL3 and FC2
Obsoletes:	jaf >= 0:20000000

%description
JAF provides a means to type data and locate components suitable for
performing various kinds of action on it. It extends the UNIX standard
mime.types and mailcap mechanisms for Java.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
Provides:       jaf-javadoc = 0:%{jafver}
Obsoletes:      gnujaf-javadoc <= 0:1.0-0.rc1.1jpp
BuildRequires:  java-javadoc
Prereq: coreutils

%description    javadoc
%{summary}.


%prep
%setup -q -n activation-%{version}


%build
export JAVAC=%{javac}
export JAR=%{jar}
export JAVADOC=%{javadoc}
%configure
%{__make}
%{__make} javadoc JAVADOCFLAGS="-link %{_javadocdir}/java"


%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT
cd $RPM_BUILD_ROOT%{_javadir}
mv activation.jar jaf-%{jafver}.jar
ln -s jaf-%{jafver}.jar activation.jar
ln -s jaf-%{jafver}.jar jaf.jar
cd -
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/jaf-%{jafver}
cp -pR docs/* $RPM_BUILD_ROOT%{_javadocdir}/jaf-%{jafver}
ln -s jaf-%{jafver} $RPM_BUILD_ROOT%{_javadocdir}/jaf


%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/jaf
ln -s jaf-%{jafver} %{_javadocdir}/jaf


%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING
%{_javadir}/activation.jar
%{_javadir}/jaf*.jar

%files javadoc
%defattr(644,root,root,755)
%doc %{_javadocdir}/jaf-%{jafver}
%ghost %doc %{_javadocdir}/jaf


%changelog
* Mon Mar  6 2006 Jeremy Katz <katzj@redhat.com> - 0:1.0-2jpp_5fc
- stop scriptlet spew

* Wed Dec 21 2005 Jesse Keating <jkeating@redhat.com> 0:1.0-2jpp_4fc
- rebuilt

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Jan 11 2005 Gary Benson <gbenson@redhat.com> 0:1.0-2jpp_3fc
- Sync with RHAPS.

* Mon Nov  1 2004 Gary Benson <gbenson@redhat.com> 0:1.0-2jpp_2fc
- Build into Fedora.

* Thu Oct 28 2004 Fernando Nasser <fnasser@redhat.com> 0:1.0-2jpp_1rh
- First Red Hat build

* Fri Aug 20 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-2jpp
- Pro forma rebuild with ant-1.6.2 present

* Tue Jun 15 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-1jpp
- Update to 1.0.

* Fri Jun 11 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-0.rc1.2jpp
- Bump release to work around bug in rpm <https://bugzilla.redhat.com/116299>.

* Thu Jun 10 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-0.rc1.1jpp
- Rename gnujaf to classpathx-jaf.

* Fri May 28 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-0.rc1.1jpp
- First build.
